%define major		0
%define libname 	%mklibname cpufreq %major
%define develname	%mklibname cpufreq -d

Name:         cpufrequtils
URL:          http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html
Version:      002
Release:      %mkrel 3
Summary:      Tools to determine and set cpufreq settings
License:      GPLv2
Group:        System/Base
Source:       http://www.kernel.org/pub/linux/utils/kernel/cpufreq/%{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

BuildRequires: libsysfs-devel 
BuildRequires: libtool

%description
To make access to the Linux kernel cpufreq subsystem easier for users
and cpufreq userspace tools, the cpufrequtils package was created. It
contains a library used by other programs (libcpufreq), command line
tools to determine current CPUfreq settings and to modify them
(cpufreq-info and cpufreq-set), and debug tools.

%package -n %{libname}
Summary:        Dynamic library for programs accessing cpufreq subsystem
Group:          %{group}

%description -n %{libname}
Dynamic library for programs accessing cpufreq subsystem.

%package -n     %{develname}
Summary:        Static libraries, include files for cpufrequtils
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       libcpufreq-devel = %{version}-%{release}
Requires:       %{libname} = %{version}
Obsoletes:	%{mklibname cpufreq 0 -d}

%description -n %{develname}
Static libraries, include files for cpufrequtils.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall localedir=%{buildroot}%{_datadir}/locale

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%doc README AUTHORS
%defattr (-,root,root)
%{_mandir}/man1/*
%{_bindir}/*

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*




%changelog
* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 002-3mdv2008.1
+ Revision: 149134
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 14 2007 Adam Williamson <awilliamson@mandriva.com> 002-2mdv2008.0
+ Revision: 85776
- rebuild for 2008
- package docs
- protect against major change in file list
- new devel policy
- Fedora license policy


* Fri Dec 29 2006 Olivier Blin <oblin@mandriva.com> 002-1mdv2007.0
+ Revision: 102472
- buildrequire libtool
- new release 002 (which is greater than 0.4)
- Import cpufrequtils

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 0.4-3mdk
- rebuild for sparc

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-2mdk
- Fix BuildRequires

* Tue Dec 20 2005 Lenny Cartier <lenny@mandriva.com> 0.4-1mdk
- 0.4

* Sun Aug 07 2005 Frederic Crozat <fcrozat@mandriva.com> 0.3-1mdk 
- First mdk package (based on SUSE package)

